Subject: Re: linux-next: sound tree build failure

From: Takashi Iwai <[email-masked]>
Date: Fri, 14 Nov 2008 08:07:44 +0100

At Fri, 14 Nov 2008 17:58:56 +1100,
Stephen Rothwell wrote:
> 
> Hi Takashi,
> 
> On Fri, 14 Nov 2008 07:32:23 +0100 Takashi Iwai <[email-masked]> wrote:
> >
> > > That identifier does not exist anywhere else in my tree.  It was removed
> > > by commit 621a0d5207c18012cb39932f2d9830a11a6cb03d ("hrtimer: clean up
> > > unused callback modes") which is now in Linus' tree (as of yesterday).
> > 
> > I had to rebase the tree yesterday, but the code there is identical with
> > the older versions.  So, if it failed there, it must be a change of
> > hrtimer side.
> > 
> > I'll check tip tree...
> 
> That commit entered Linus' tree after you rebased your tree but before I
> fetched it this morning.  You could fix things by merging Linus' tree and
> doing the fix in the merge commit rather than rebasing.

To defense myself: the reason of the rebase is irrelevant with this
build error.  It's just a sad coincident.

I had to rebase the sound tree because I need to drop one topic branch
which cause another build error.  Of course, I could revert each 15 commit
of that topic branch, but it's also annoying.  Thus I decided to rebase
(just re-merging each topic branch again from scratch).

I'm wondering why this happens, though.  Such a clean-up patch should
has been tested enough long on linux-next before pushed into Linus
tree.  And, I see no reason to push a clean-up patch at this late rc
stage...

thanks,

Takashi